<p align="center">
  <a href="https://nestipy.com/" target="blank"><img src="nestipy.png" width="200" alt="Nestipy Logo" /></a>
</p>

## Description

Nestipy is a framework for building efficient, scalable <a href="https://python.org" target="_blank">Python</a>
server-side applications. It uses modern Python typing combines with elements of OOP (Object Oriented Programming), FP (
Functional Programming).

<p>Under the hood, Nestipy makes use of <a href="https://litestar.dev/" target="_blank">Litestar</a>, but also provides compatibility with a wide range of other libraries, like <a href="https://fastapi.tiangolo.com/" target="_blank">FastAPI</a>, allowing for easy use of the myriad of third-party plugins which are available.</p>

## Philosophy

<p>Nestipy aims to provide an application architecture out of the box which allows for effortless creation of highly testable, scalable, and loosely coupled and easily maintainable applications. The architecture is heavily inspired by Angular.</p>

## Getting started

```cmd
    pip install nestipy
    nestipy new my_app
    cd my_app
    python main.py
```

## Questions

## Issues

Please make sure to read the [Issue Reporting Checklist](https://github.com/tsiresymila/nestipy) before opening an
issue. Issues not conforming to the guidelines may be closed immediately.

## Support

Nestipy is an MIT-licensed open source project. It can grow thanks to the sponsors and support from the amazing backers.
If you'd like to join them, please [read more here](https://docs.nestipy.com/support).

## Stay in touch

- Author - [Tsiresy Mila](https://tsiresymila.vercel.app)

## License

Nestipy is [MIT licensed](LICENSE).